Bug 1154450 - gazebo-devel is missing Requires: ogre-devel
Summary: gazebo-devel is missing Requires: ogre-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gazebo
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-19 21:57 UTC by Scott K Logan
Modified: 2014-11-01 17:05 UTC (History)
2 users (show)

Fixed In Version: gazebo-3.1.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 01:32:39 UTC


Attachments (Terms of Use)

Description Scott K Logan 2014-10-19 21:57:00 UTC
Description of problem:
gazebo-devel includes headers which directly reference ogre headers. Ogre headers should therefore be present whenever the gazebo headers are.

Version-Release number of selected component (if applicable): 3.1.0-1.fc20

How reproducible: 100%

Steps to Reproduce:
1. Install gazebo-devel
2. Find ogre reference at /usr/include/gazebo-3.0/gazebo/rendering/ogre_gazebo.h
3. Observe lack of dependency on ogre-devel

Actual results:
gazebo-devel installs without ogre-devel

Expected results:
ogre-devel is always installed whenever gazebo-devel is

Additional info:
Found during ROS packaging: https://csc.mcs.sdsmt.edu/jenkins/job/ros-indigo-gazebo-plugins_binaryrpm_heisenbug_x86_64/39/console

Comment 1 Fedora Update System 2014-10-21 13:21:22 UTC
gazebo-3.1.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gazebo-3.1.0-2.fc21

Comment 2 Fedora Update System 2014-10-21 13:21:28 UTC
gazebo-3.1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gazebo-3.1.0-2.fc20

Comment 3 Fedora Update System 2014-10-21 17:26:21 UTC
Package gazebo-3.1.0-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gazebo-3.1.0-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13425/gazebo-3.1.0-2.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-11-01 01:32:39 UTC
gazebo-3.1.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-11-01 17:05:11 UTC
gazebo-3.1.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.